Bug 74832 - lang/python API broken
Summary: lang/python API broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-08 05:20 UTC by dirk.meyer
Modified: 2004-12-08 06:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2004-12-08 05:20:23 UTC
	the API in python ports is broken.

Fix: 

Please Fix API in python port
	and report to developers.
How-To-Repeat: 
	try to build metakit
	cd /usr/ports/databases/metakit && make METAKIT_WITH_PYTHON=yes

	python-2.4 will eb installed.

In file included from ../unix/../python/PyProperty.h:12,
                 from ./../unix/../python/PyProperty.cpp:8:
../unix/../python/PyHead.h: At top level:
../unix/../python/PyHead.h:13: syntax error before `{'
../unix/../python/PyHead.h:22: warning: ANSI C++ forbids declaration `ob_type' with no type
../unix/../python/PyHead.h:22: `t' was not declared in this scope
../unix/../python/PyHead.h:23: syntax error before `}'
Comment 1 Dirk Meyer freebsd_committer 2004-12-08 05:26:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

over to maintainer
Comment 2 Hye-Shik Chang freebsd_committer 2004-12-08 05:37:51 UTC
Responsible Changed
From-To: perky->dinoex

There's nothing wrong with Python API.  Just metakit's build script 
is poorly hardcoded. 

-I/usr/local/include/python2.4 must be here instead of 2.3's: 

c++ -c -Dq4_INLINE -Wall -Wno-long-long -O -march=pentium3 -fpermissive -I./../unix/../include -I./../unix/../python/scxx -I/usr/local/include/python2.3 ./../unix/../python/PyProperty.cpp  -fPIC -DPIC 

${PYTHON_INCLUDEDIR} is available from bsd.python.mk to use in this 
case.
Comment 3 Dirk Meyer freebsd_committer 2004-12-08 06:03:34 UTC
State Changed
From-To: open->closed

I committed a fix, thanks.